Index: branches/egtra/ab5.0/abdev/abdev/abdev.vcproj
===================================================================
--- branches/egtra/ab5.0/abdev/abdev/abdev.vcproj	(revision 774)
+++ branches/egtra/ab5.0/abdev/abdev/abdev.vcproj	(revision 775)
@@ -11,4 +11,7 @@
 			Name="Win32"
 		/>
+		<Platform
+			Name="x64"
+		/>
 	</Platforms>
 	<ToolFiles>
@@ -16,108 +19,7 @@
 	<Configurations>
 		<Configuration
-			Name="TheText_Release|Win32"
-			OutputDirectory=".\Release(TheText)"
-			IntermediateDirectory=".\Release(TheText)"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="false"
-			CharacterSet="2"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-				PreprocessorDefinitions="NDEBUG"
-				MkTypLibCompatible="true"
-				SuppressStartupBanner="true"
-				TargetEnvironment="1"
-				TypeLibraryName=".\ProjectEditor___Win32_TheText_Release/ProjectEditor.tlb"
-				HeaderFileName=""
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="..\..\;..\..\cpplibs;..\..\cpplibs\boost;..\..\cpplibs\WTL80\include;.\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;THETEXT;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL"
-				StringPooling="false"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="false"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile="$(IntDir)\$(ProjectName).pch"
-				AssemblerListingLocation="$(IntDir)\"
-				ObjectFile="$(IntDir)\"
-				ProgramDataBaseFileName="$(IntDir)\"
-				BrowseInformation="1"
-				WarningLevel="3"
-				SuppressStartupBanner="true"
-				DebugInformationFormat="3"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="JPN,THETEXT"
-				Culture="1041"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxml_STL.lib"
-				OutputFile="../TheText/TheText.exe"
-				LinkIncremental="1"
-				SuppressStartupBanner="true"
-				AdditionalLibraryDirectories="..\..\jenga\lib\x86;..\lib\x86"
-				DelayLoadDLLs="DWMAPI.DLL"
-				ProgramDatabaseFile="$(IntDir)\$(ProjectName).pdb"
-				SubSystem="2"
-				TargetMachine="1"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-				AdditionalManifestFiles="$(ProjectDir)\manifest.xml"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-				SuppressStartupBanner="true"
-				OutputFile="$(IntDir)\$(ProjectName).bsc"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
 			Name="Debug|Win32"
 			OutputDirectory="..\build\$(ConfigurationName)"
-			IntermediateDirectory=".\Debug(abdev)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="1"
 			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
@@ -149,19 +51,110 @@
 			<Tool
 				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\..\;..\..\cpplibs;..\..\cpplibs\boost;..\..\cpplibs\WTL80\include;.\include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;JPN;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL;HAVE_WINDOWS_7_SDK"
+				MinimalRebuild="false"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				WarningLevel="3"
+				SuppressStartupBanner="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="JPN,PROJECTEDITOR"
+				Culture="1041"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxmld_STL.lib dwmapi.lib"
+				OutputFile="$(OutDir)\abdev.exe"
+				LinkIncremental="2"
+				AdditionalLibraryDirectories="..\..\jenga\lib\x86;..\lib\x86"
+				DelayLoadDLLs="DWMAPI.DLL"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+				AdditionalManifestFiles="$(ProjectDir)\manifest.xml"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+				SuppressStartupBanner="true"
+				OutputFile="$(IntDir)\$(ProjectName).bsc"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug|x64"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
+			ConfigurationType="1"
+			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="false"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+				PreprocessorDefinitions="_DEBUG"
+				MkTypLibCompatible="true"
+				SuppressStartupBanner="true"
+				TargetEnvironment="3"
+				TypeLibraryName=".\ProjectEditor___Win32_AB_Debug/ProjectEditor.tlb"
+				HeaderFileName=""
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalOptions="/MP"
 				Optimization="0"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs;..\..\cpplibs\boost;..\..\cpplibs\WTL80\include;.\include"
 				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;JPN;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL"
-				MinimalRebuild="true"
+				MinimalRebuild="false"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile="$(IntDir)\$(ProjectName).pch"
-				AssemblerListingLocation="$(IntDir)\"
-				ObjectFile="$(IntDir)\"
-				ProgramDataBaseFileName="$(IntDir)\"
-				BrowseInformation="1"
 				WarningLevel="3"
 				SuppressStartupBanner="true"
-				DebugInformationFormat="4"
+				DebugInformationFormat="3"
 			/>
 			<Tool
@@ -178,15 +171,11 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalOptions="/NXCOMPAT /DYNAMICBASE"
 				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxmld_STL.lib"
-				OutputFile="$(OutDir)\abdev.exe"
+				OutputFile="$(OutDir)\abdev64.exe"
 				LinkIncremental="2"
-				SuppressStartupBanner="true"
-				AdditionalLibraryDirectories="..\..\jenga\lib\x86;..\lib\x86"
-				DelayLoadDLLs="DWMAPI.DLL"
+				AdditionalLibraryDirectories="..\..\jenga\lib\x64;..\lib\x64"
 				GenerateDebugInformation="true"
-				ProgramDatabaseFile="$(IntDir)\$(ProjectName).pdb"
 				SubSystem="2"
-				TargetMachine="1"
+				TargetMachine="17"
 			/>
 			<Tool
@@ -221,5 +210,5 @@
 			Name="Release|Win32"
 			OutputDirectory="..\build\$(ConfigurationName)"
-			IntermediateDirectory=".\Release(abdev)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="1"
 			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
@@ -251,19 +240,13 @@
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
+				AdditionalOptions="/MP"
+				Optimization="1"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs;..\..\cpplibs\boost;..\..\cpplibs\WTL80\include;.\include"
-				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL"
-				StringPooling="true"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL;HAVE_WINDOWS_7_SDK"
 				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="true"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile="$(IntDir)\$(ProjectName).pch"
-				AssemblerListingLocation="$(IntDir)\"
-				ObjectFile="$(IntDir)\"
-				ProgramDataBaseFileName="$(IntDir)\"
-				BrowseInformation="1"
 				WarningLevel="3"
 				SuppressStartupBanner="true"
+				DebugInformationFormat="3"
 			/>
 			<Tool
@@ -280,13 +263,15 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalOptions="/NXCOMPAT /DYNAMICBASE /SAFESEH"
-				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxml_STL.lib"
+				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxml_STL.lib dwmapi.lib"
 				OutputFile="$(OutDir)\abdev.exe"
 				LinkIncremental="1"
-				SuppressStartupBanner="true"
 				AdditionalLibraryDirectories="..\..\jenga\lib\x86;..\lib\x86"
-				DelayLoadDLLs="DWMAPI.DLL"
-				ProgramDatabaseFile="$(IntDir)\$(ProjectName).pdb"
+				DelayLoadDLLs="PSAPI.DLL;DWMAPI.DLL"
+				GenerateDebugInformation="true"
+				GenerateMapFile="true"
 				SubSystem="2"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
 				TargetMachine="1"
 			/>
@@ -320,7 +305,7 @@
 		</Configuration>
 		<Configuration
-			Name="TheText_Debug|Win32"
-			OutputDirectory=".\Debug(TheText)"
-			IntermediateDirectory=".\Debug(TheText)"
+			Name="Release|x64"
+			OutputDirectory="$(ConfigurationName)-$(PlatformName)"
+			IntermediateDirectory="$(ConfigurationName)-$(PlatformName)"
 			ConfigurationType="1"
 			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC60.vsprops"
@@ -343,25 +328,19 @@
 			<Tool
 				Name="VCMIDLTool"
-				PreprocessorDefinitions="_DEBUG"
+				PreprocessorDefinitions="NDEBUG"
 				MkTypLibCompatible="true"
 				SuppressStartupBanner="true"
-				TargetEnvironment="1"
-				TypeLibraryName=".\ProjectEditor___Win32_TheText_Debug/ProjectEditor.tlb"
+				TargetEnvironment="3"
+				TypeLibraryName=".\ProjectEditor___Win32_AB_Release/ProjectEditor.tlb"
 				HeaderFileName=""
 			/>
 			<Tool
 				Name="VCCLCompilerTool"
-				Optimization="0"
+				AdditionalOptions="/MP"
+				Optimization="1"
 				AdditionalIncludeDirectories="..\..\;..\..\cpplibs;..\..\cpplibs\boost;..\..\cpplibs\WTL80\include;.\include"
-				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;JPN;THETEXT;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL"
-				MinimalRebuild="true"
-				BasicRuntimeChecks="3"
-				RuntimeLibrary="1"
+				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;JPN;WINVER=0x0501;_WIN32_WINNT=0x0501;TIXML_USE_STL"
+				RuntimeLibrary="0"
 				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile="$(IntDir)\$(ProjectName).pch"
-				AssemblerListingLocation="$(IntDir)\"
-				ObjectFile="$(IntDir)\"
-				ProgramDataBaseFileName="$(IntDir)\"
-				BrowseInformation="1"
 				WarningLevel="3"
 				SuppressStartupBanner="true"
@@ -373,5 +352,5 @@
 			<Tool
 				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="JPN,THETEXT"
+				PreprocessorDefinitions="JPN,PROJECTEDITOR"
 				Culture="1041"
 			/>
@@ -381,14 +360,16 @@
 			<Tool
 				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxmld_STL.lib"
-				OutputFile="../TheText/TheText.exe"
-				LinkIncremental="2"
-				SuppressStartupBanner="true"
-				AdditionalLibraryDirectories="..\..\jenga\lib\x86;..\lib\x86"
-				DelayLoadDLLs="DWMAPI.DLL"
+				AdditionalDependencies="odbc32.lib odbccp32.lib comctl32.lib imm32.lib htmlhelp.lib rpcrt4.lib imagehlp.lib tinyxml_STL.lib"
+				OutputFile="$(OutDir)\abdev64.exe"
+				LinkIncremental="1"
+				AdditionalLibraryDirectories="..\..\jenga\lib\x64;..\lib\x64"
+				DelayLoadDLLs="PSAPI.DLL"
 				GenerateDebugInformation="true"
-				ProgramDatabaseFile="$(IntDir)\$(ProjectName).pdb"
+				GenerateMapFile="true"
 				SubSystem="2"
-				TargetMachine="1"
+				OptimizeReferences="2"
+				EnableCOMDATFolding="2"
+				OptimizeForWindows98="1"
+				TargetMachine="17"
 			/>
 			<Tool
@@ -467,5 +448,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -475,5 +456,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -491,5 +472,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -503,5 +484,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -511,5 +492,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -527,5 +508,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -539,5 +520,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -547,5 +528,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -563,5 +544,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -575,5 +556,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -583,5 +564,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -599,5 +580,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -611,5 +592,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -619,5 +600,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -635,5 +616,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -647,5 +628,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -655,5 +636,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -671,5 +652,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -683,5 +664,5 @@
 					>
 					<FileConfiguration
-						Name="TheText_Release|Win32"
+						Name="Debug|Win32"
 						>
 						<Tool
@@ -691,5 +672,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="Debug|Win32"
+						Name="Debug|x64"
 						>
 						<Tool
@@ -707,5 +688,5 @@
 					</FileConfiguration>
 					<FileConfiguration
-						Name="TheText_Debug|Win32"
+						Name="Release|x64"
 						>
 						<Tool
@@ -722,12 +703,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -738,4 +711,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -746,5 +727,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -758,12 +739,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -774,4 +747,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -782,5 +763,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -794,12 +775,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -810,4 +783,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -818,5 +799,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -830,12 +811,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -846,4 +819,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -854,5 +835,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -866,12 +847,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -882,4 +855,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -890,5 +871,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -902,12 +883,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -918,4 +891,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -926,5 +907,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -942,12 +923,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -958,4 +931,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -966,5 +947,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -978,12 +959,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -994,4 +967,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1002,5 +983,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1014,12 +995,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1030,4 +1003,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1038,5 +1019,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1050,12 +1031,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1066,4 +1039,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1074,5 +1055,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1086,12 +1067,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1102,4 +1075,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1110,5 +1091,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1126,12 +1107,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1142,4 +1115,13 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								AdditionalOptions="/bigobj"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1150,5 +1132,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1166,12 +1148,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1182,4 +1156,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1190,5 +1172,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1210,12 +1192,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1226,4 +1200,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1234,5 +1216,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1246,12 +1228,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1262,4 +1236,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1270,5 +1252,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1282,12 +1264,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1298,4 +1272,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1306,5 +1288,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1318,12 +1300,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1334,4 +1308,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1342,5 +1324,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1354,12 +1336,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1370,4 +1344,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1378,5 +1360,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1390,12 +1372,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1406,4 +1380,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1414,5 +1396,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1426,12 +1408,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -1442,4 +1416,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -1450,5 +1432,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -1465,12 +1447,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1481,4 +1455,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1489,5 +1471,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1501,12 +1483,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1517,4 +1491,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1525,5 +1507,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1537,12 +1519,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1553,4 +1527,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1561,5 +1543,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1573,12 +1555,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1589,4 +1563,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1597,5 +1579,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1613,12 +1595,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1629,4 +1603,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1637,5 +1619,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1653,12 +1635,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1669,4 +1643,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1677,5 +1659,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1689,12 +1671,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1705,4 +1679,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1713,5 +1695,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1725,12 +1707,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1741,4 +1715,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1749,5 +1731,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1765,12 +1747,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1781,4 +1755,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1789,5 +1771,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1809,12 +1791,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1825,4 +1799,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1833,5 +1815,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1857,12 +1839,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1873,4 +1847,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1881,5 +1863,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1901,12 +1883,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1917,4 +1891,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1925,5 +1907,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1941,12 +1923,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -1957,4 +1931,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -1965,5 +1947,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -1989,12 +1971,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2005,4 +1979,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2013,5 +1995,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2042,12 +2024,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -2058,4 +2032,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -2066,5 +2048,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -2078,12 +2060,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -2094,4 +2068,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -2102,5 +2084,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -2114,12 +2096,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -2130,4 +2104,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -2138,5 +2120,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -2153,12 +2135,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2169,4 +2143,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2177,5 +2159,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2189,12 +2171,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2205,4 +2179,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2213,5 +2195,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2229,12 +2211,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2245,4 +2219,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2253,5 +2235,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2274,12 +2256,4 @@
 						>
 						<FileConfiguration
-							Name="TheText_Release|Win32"
-							>
-							<Tool
-								Name="VCCLCompilerTool"
-								PreprocessorDefinitions=""
-							/>
-						</FileConfiguration>
-						<FileConfiguration
 							Name="Debug|Win32"
 							>
@@ -2290,4 +2264,12 @@
 						</FileConfiguration>
 						<FileConfiguration
+							Name="Debug|x64"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+								PreprocessorDefinitions=""
+							/>
+						</FileConfiguration>
+						<FileConfiguration
 							Name="Release|Win32"
 							>
@@ -2298,5 +2280,5 @@
 						</FileConfiguration>
 						<FileConfiguration
-							Name="TheText_Debug|Win32"
+							Name="Release|x64"
 							>
 							<Tool
@@ -2317,12 +2299,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2333,4 +2307,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2341,5 +2323,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2361,12 +2343,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2377,4 +2351,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2385,5 +2367,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2405,12 +2387,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2421,4 +2395,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2429,5 +2411,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2449,12 +2431,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2465,4 +2439,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2473,5 +2455,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2485,12 +2467,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2501,4 +2475,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2509,5 +2491,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2525,12 +2507,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2541,4 +2515,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2549,5 +2531,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2569,12 +2551,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2585,4 +2559,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2593,5 +2575,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
@@ -2613,12 +2595,4 @@
 							>
 							<FileConfiguration
-								Name="TheText_Release|Win32"
-								>
-								<Tool
-									Name="VCCLCompilerTool"
-									PreprocessorDefinitions=""
-								/>
-							</FileConfiguration>
-							<FileConfiguration
 								Name="Debug|Win32"
 								>
@@ -2629,4 +2603,12 @@
 							</FileConfiguration>
 							<FileConfiguration
+								Name="Debug|x64"
+								>
+								<Tool
+									Name="VCCLCompilerTool"
+									PreprocessorDefinitions=""
+								/>
+							</FileConfiguration>
+							<FileConfiguration
 								Name="Release|Win32"
 								>
@@ -2637,5 +2619,5 @@
 							</FileConfiguration>
 							<FileConfiguration
-								Name="TheText_Debug|Win32"
+								Name="Release|x64"
 								>
 								<Tool
